/* ttt-args.h - Parse command-line arguments for ttt using getopt
 *
 * Copyright © 2005 Carl Worth
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Carl Worth <cworth@cworth.org>
 */

#ifndef TTT_ARGS_H
#define TTT_ARGS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define TTT_ARGS_HOST_DEFAULT "localhost"
#define TTT_ARGS_PORT_DEFAULT "5334"
/* NULL means to just log to stderr. */
#define TTT_ARGS_LOG_FILE_DEFAULT NULL

typedef struct ttt_args
{
    char *host;
    char *port;
    char *log_file;
} ttt_args_t;

int
ttt_args_parse(ttt_args_t *args, int argc, char *argv[]);

#endif
