/* ttt-error.c - errors returned to clients
 *
 * Copyright © 2005 Carl Worth
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Carl Worth <cworth@cworth.org>
 */

#include "ttt-error.h"

const char *
ttt_error_string (ttt_error_t error)
{
    switch (error) {
    case TTT_ERROR_NONE:
	return "ERROR NONEi\r\n";
    case TTT_ERROR_NO_NAME_SET:
	return "ERROR NONAMESET\r\n";
    case TTT_ERROR_INVALID_NAME:
	return "ERROR INVALIDNAME\r\n";
    case TTT_ERROR_COMMAND:
	return "ERROR COMMAND\r\n";
    case TTT_ERROR_SYNTAX:
	return "ERROR SYNTAX\r\n";
    case TTT_ERROR_NOT_NUMBER:
	return "ERROR NOTNUMBER\r\n";
    case TTT_ERROR_NOT_GRID:
	return "ERROR NOTGRID\r\n";
    case TTT_ERROR_NO_USER:
	return "ERROR NOUSER\r\n";
    case TTT_ERROR_NOT_IN_GAME:
	return "ERROR_NOTINGAME\r\n";
    case TTT_ERROR_NOT_PLAYING:
	return "ERROR_NOTPLAYING\r\n";
    case TTT_ERROR_NOT_YOUR_TURN:
	return "ERROR NOTYOURTURN\r\n";
    /* Not an actual protocol errror, so this should never happen. */
    case TTT_ERROR_QUIT_REQUESTED:
	ASSERT_NOT_REACHED;
	break;
    }

    ASSERT_NOT_REACHED;
    return NULL;
}
